List all projects

View as Markdown
List all projects in a workspace with pagination. Query Parameters: - page, page_size: Pagination - sort: Sort field - filter: Advanced filters Example: ``` GET /apis/entities/v2/workspaces/default/projects?sort=-created_at&page=1&page_size=10 ```

Path parameters

workspacestringRequired

Query parameters

pageintegerOptional>=1Defaults to 1
Page number
page_sizeintegerOptional1-1000Defaults to 100
Items per page
sortenumOptionalDefaults to -created_at
Sort field
filterstringOptional
Query filter expression. Supports text and JSON syntaxes: - Text: name:"value" AND status>500 with operators : ~ > >= < <= IN NOT IN AND OR and negation prefix - - Object (JSON): {"name":{"$like":"value"}} with operators $eq, $like, $lt, $lte, $gt, $gte, $in, $nin, $and, $or, $not - Bracket notation: ?filter[name][$like]=value - Relationship traversal: ?filter[relationship][$exists]=true or ?filter[relationship][field]=value

Response

Successful Response
datalist of objects
paginationobject
Pagination information.
sortstring
The field on which the results are sorted.
filtermap from strings to any
Filtering information.

Errors

422
Unprocessable Entity Error